# encoding: utf-8
from __future__ import unicode_literals
from __future__ import absolute_import

from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import (
    Boolean,
    DateTime,
    Integer,
)


class Direction(ComplexModel):
    __type_name__ = 'direction'

    _type_info = [
        ('id', Integer),
        ('directDate', DateTime),
        ('declarationID', Integer),
        ('groupID', Integer),
        ('statusID', Integer),
        ('temporary', Boolean),
        ('manual', Boolean),
    ]

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер, содержащий информацию о направлении.'


class Root(ComplexModel):
    __type_name__ = 'AppData'

    directions = Array(Direction)
